import GLOOP.*;
public class Kerzenszene{
    private GLKamera kamera;  
    private GLTastatur tastatur;

    private Untergrund untergrund;    
    private Kerze kerze1, kerze2, kerze3;    

    public Kerzenszene(){
        kamera = new GLKamera(800,600);     
        kamera.setzePosition(0,300,500);
        tastatur = new GLTastatur();

        untergrund = new Untergrund();

        kerze1 = new Kerze(-200,0, 20,150);
        kerze2 = new Kerze(0,100, 40,100);
        kerze3 = new Kerze(+200,0, 60,100);
        
        fuehreAus();
    }

    private void fuehreAus(){
        while (!tastatur.esc()){
            if (tastatur.istGedrueckt('q')) kerze1.an();
            if (tastatur.istGedrueckt('a')) kerze1.aus();

            if (tastatur.istGedrueckt('w')) kerze2.an();
            if (tastatur.istGedrueckt('s')) kerze2.aus();

            if (tastatur.istGedrueckt('e')) kerze3.an();
            if (tastatur.istGedrueckt('d')) kerze3.aus();

            kerze1.brenneAb();
            kerze2.brenneAb();
            kerze3.brenneAb();

            Sys.warte();
        }
        Sys.beenden(); 
    }

}
